Bug 18642 - Internal Server Error in Guided reports wizard caused by debug messages
Summary: Internal Server Error in Guided reports wizard caused by debug messages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17898
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-20 08:17 UTC by Marc Véron
Modified: 2017-06-05 12:15 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18642: Add missing dependency for Data::Printer module (1.07 KB, patch)
2017-05-22 09:53 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18642: Remove debug messages (1.01 KB, patch)
2017-05-22 10:41 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18642: Remove debug messages (1.15 KB, patch)
2017-05-22 12:43 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18642: Remove debug messages (1.23 KB, patch)
2017-05-22 13:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-20 08:17:13 UTC
Calling Guided reports wizard from Home > Reports results in an Internal Server Error.
Plack error log says:
Could not compile /home/marc/koha/reports/guided_reports.pl: Can't locate Data/Printer.pm in @INC

It seems that the module Data::Printer is missing, but About page and installation tool do not complain about.
Comment 1 Marc Véron 2017-05-20 08:39:30 UTC
Introduced by first patch in Bug 17898 - Add a way to automatically convert SQL reports
Comment 2 Josef Moravec 2017-05-22 09:53:05 UTC
Created attachment 63607 [details] [review]
Bug 18642: Add missing dependency for Data::Printer module

Test plan:
1) Go to About page
-- without patch you can't see Data::Printer listed
-- with patch you'll see it
2) uninstall Data::Printer - apt-get remove libdata-printer-perl
3) go to Reports -> Use saved - you'll see ISE
4) install the module again - apt-get install libdata-printer-perl
5) go to Reports -> Use saved - everything should work fine
Comment 3 Tomás Cohen Arazi 2017-05-22 10:21:37 UTC
When rebasing the original patches, I introduced the dep for debugging purposes only. We should just remove the code that uses Data::Printer instead!
Comment 4 Josef Moravec 2017-05-22 10:41:10 UTC
Created attachment 63609 [details] [review]
Bug 18642: Remove debug messages

Test plan:
0) Apply the patch
1) git grep Data::Printer
    -> should return no results
2) Go to Reports -> Use saved - should work fine
Comment 5 Josef Moravec 2017-05-22 10:41:52 UTC
(In reply to Tomás Cohen Arazi from comment #3)
> When rebasing the original patches, I introduced the dep for debugging
> purposes only. We should just remove the code that uses Data::Printer
> instead!

Ok, I've attached new patch. Thanks!
Comment 6 Marc Véron 2017-05-22 12:43:43 UTC
Created attachment 63612 [details] [review]
Bug 18642: Remove debug messages

Test plan:
0) Apply the patch
1) git grep Data::Printer
    -> should return no results
2) Go to Reports -> Use saved - should work fine

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 7 Jonathan Druart 2017-05-22 13:01:18 UTC
Created attachment 63615 [details] [review]
Bug 18642: Remove debug messages

Test plan:
0) Apply the patch
1) git grep Data::Printer
    -> should return no results
2) Go to Reports -> Use saved - should work fine

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Kyle M Hall 2017-05-29 02:15:31 UTC
Pushed to master for 17.05, thanks Josef!
Comment 9 Katrin Fischer 2017-06-05 12:15:09 UTC
Depends on bug 17898 which is not part of 16.11.x.